[Pkg-ace-devel] r5 - in trunk/debian: . patches

svn-commits@bignachos.com svn-commits@bignachos.com
Mon, 31 May 2004 21:28:41 -0700 (PDT)


Author: nelson
Date: Mon May 31 21:28:41 2004
New Revision: 5

Added:
   trunk/debian/patches/00list
   trunk/debian/patches/01_build_system.dpatch
   trunk/debian/patches/02_script_magic.dpatch   (contents, props changed)
   trunk/debian/patches/03_enable_aceiostream.dpatch   (contents, props changed)
Modified:
   trunk/debian/changelog
   trunk/debian/rules
Log:
added dpatches from diff.gz

Modified: trunk/debian/changelog
==============================================================================
--- trunk/debian/changelog	(original)
+++ trunk/debian/changelog	Mon May 31 21:28:41 2004
@@ -9,9 +9,11 @@
     - Fixed ACE_NDEBUG configuration of ACE.
     - System capabilities will be determined by including <unistd.h> in
       <ace/config.h>
-  * Use dpatch to manage the patches.  Added dpatch to the build-depends.
+  * Use dpatch to manage the patches.  Added dpatch to the build-depends,
+    and split the upstream patches in the diff.gz into 3 dpatches:
+    01_build_system, 02_script_magic, 03_enable_aceiostream
 
- -- Brian Nelson <pyro@debian.org>  Tue,  1 Jun 2004 00:23:57 -0300
+ -- Brian Nelson <pyro@debian.org>  Tue,  1 Jun 2004 01:20:18 -0300
 
 ace (5.4.0.1-1) unstable; urgency=low
 
@@ -122,7 +124,7 @@
 
   * New upstream release
   * New maintainers for the package, Brian Nelson <pyro@debian.org> and
-    Konstantinos Margaritis <markos@debian.org> (Closes #199768)
+    Konstantinos Margaritis <markos@debian.org> (Closes: #199768)
   * Removed build-dependency on versioned g++
   * Bumped up standards version to 3.6.0
   * Dropped version string from -dev package name

Added: trunk/debian/patches/00list
==============================================================================
--- (empty file)
+++ trunk/debian/patches/00list	Mon May 31 21:28:41 2004
@@ -0,0 +1,3 @@
+01_build_system
+02_script_magic
+03_enable_aceiostream

Added: trunk/debian/patches/01_build_system.dpatch
==============================================================================
--- (empty file)
+++ trunk/debian/patches/01_build_system.dpatch	Mon May 31 21:28:41 2004
@@ -0,0 +1,125 @@
+#! /bin/sh -e
+## 01_build_system.dpatch by Brian Nelson <pyro@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: New patch generated from ace 5.4.1-1 diff.gz
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+--- ace-5.4.1.orig/ACEXML/Makefile
++++ ace-5.4.1/ACEXML/Makefile
+@@ -8,12 +8,12 @@
+ MFILES = \
+          common/Makefile.ACEXML \
+          parser/parser/Makefile.ACEXML_Parser \
+-         apps/svcconf/Makefile.ACEXML_XML_Svc_Conf_Parser \
+-         examples/SAXPrint/Makefile.SAXPrint \
+-         tests/Makefile.Transcoder_Test \
+-         tests/Makefile.NamespaceSupport_Test \
+-         tests/Makefile.HttpCharStream_Test \
+-         tests/Makefile.ContentHandler_Test
++         apps/svcconf/Makefile.ACEXML_XML_Svc_Conf_Parser
++#         examples/SAXPrint/Makefile.SAXPrint \
++#         tests/Makefile.Transcoder_Test \
++#         tests/Makefile.NamespaceSupport_Test \
++#         tests/Makefile.HttpCharStream_Test \
++#         tests/Makefile.ContentHandler_Test
+ 
+ $(TARGETS_NESTED):
+ 	@for file in $(MFILES); do \
+--- ace-5.4.1.orig/ace/Makefile.ace
++++ ace-5.4.1/ace/Makefile.ace
+@@ -159,10 +159,10 @@
+   SUN_Proactor \
+   Dev_Poll_Reactor \
+   TP_Reactor \
+-  TkReactor \
+-  WFMO_Reactor \
+-  XtReactor \
+-  QtReactor
++  WFMO_Reactor 
++#  TkReactor \
++#  XtReactor \
++#  QtReactor
+ CONNECTION_FILES = \
+   Asynch_IO \
+   Asynch_IO_Impl \
+--- ace-5.4.1.orig/TAO/Makefile
++++ ace-5.4.1/TAO/Makefile
+@@ -21,23 +21,19 @@
+ 
+ DIRS    = tao \
+           TAO_IDL \
+-          tests \
+           orbsvcs \
+-          examples \
+-          performance-tests \
+           utils \
+-	  docs/tutorials/Quoter \
+           CIAO
++#          tests \
++#          examples \
++#          performance-tests \
++#	  docs/tutorials/Quoter \
+ 
+ CLONE   = Makefile \
+           tao \
+           TAO_IDL \
+-          tests \
+           orbsvcs \
+-          examples \
+-          performance-tests \
+-          utils \
+-	  docs/tutorials/Quoter
++          utils 
+ 
+ #----------------------------------------------------------------------------
+ #       Include macros and targets
+--- ace-5.4.1.orig/TAO/orbsvcs/Makefile
++++ ace-5.4.1/TAO/orbsvcs/Makefile
+@@ -43,10 +43,10 @@
+ 	Trading_Service \
+ 	LoadBalancer \
+ 	TAO_Service \
+-	PSS \
+-        tests \
+-	performance-tests \
+-        examples
++	PSS
++#        tests \
++#	performance-tests \
++#        examples
+ 
+ ifeq ($(minimum_corba),0)
+     ifneq (Compilers 4.2,$(findstring Compilers 4.2,$(CC_VERSION)))
+--- ace-5.4.1.orig/TAO/CIAO/Makefile
++++ ace-5.4.1/TAO/CIAO/Makefile
+@@ -18,9 +18,9 @@
+ 
+ INFO    = VERSION
+ 
+-ALT_DIRS = CIDLC \
+-           examples \
+-           tests
++ALT_DIRS = CIDLC 
++#           examples \
++#           tests
+ 
+ CLONE   = Makefile \
+ 	  CIDLC \

Added: trunk/debian/patches/02_script_magic.dpatch
==============================================================================
--- (empty file)
+++ trunk/debian/patches/02_script_magic.dpatch	Mon May 31 21:28:41 2004
@@ -0,0 +1,537 @@
+#! /bin/sh -e
+## 02_script_magic.dpatch by Brian Nelson <pyro@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: New patch generated from ace 5.4.1-1 diff.gz
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+--- ace-5.4.1.orig/bin/ace_components
++++ ace-5.4.1/bin/ace_components
+@@ -1,4 +1,4 @@
+-#! /bin/sh
++#!/bin/sh
+ # ace_components,v 4.3 2002/07/18 13:41:50 elliott_c Exp
+ #
+ # Encapsulates set/access of a components file, which records set of
+--- ace-5.4.1.orig/bin/ace_ld
++++ ace-5.4.1/bin/ace_ld
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/examples/Export/run_test.pl
++++ ace-5.4.1/examples/Export/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/examples/IPC_SAP/SOCK_SAP/summarize
++++ ace-5.4.1/examples/IPC_SAP/SOCK_SAP/summarize
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -w -S $0 ${1+"$@"}'
+     & eval 'exec perl -w -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/examples/IPC_SAP/SSL_SAP/summarize
++++ ace-5.4.1/examples/IPC_SAP/SSL_SAP/summarize
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -w -S $0 ${1+"$@"}'
+     & eval 'exec perl -w -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/examples/QOS/Diffserv/run_test.pl
++++ ace-5.4.1/examples/QOS/Diffserv/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/examples/Reactor/WFMO_Reactor/run_test.pl
++++ ace-5.4.1/examples/Reactor/WFMO_Reactor/run_test.pl
+@@ -1,4 +1,6 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/AMH/Sink_Server/run_test.pl
++++ ace-5.4.1/TAO/examples/AMH/Sink_Server/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Advanced/ch_12/run_test.pl
++++ ace-5.4.1/TAO/examples/Advanced/ch_12/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Advanced/run_test.pl
++++ ace-5.4.1/TAO/examples/Advanced/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Advanced/ch_18/run_test.pl
++++ ace-5.4.1/TAO/examples/Advanced/ch_18/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Advanced/ch_21/run_test.pl
++++ ace-5.4.1/TAO/examples/Advanced/ch_21/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Advanced/ch_3/run_test.pl
++++ ace-5.4.1/TAO/examples/Advanced/ch_3/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Advanced/ch_8_and_10/run_test.pl
++++ ace-5.4.1/TAO/examples/Advanced/ch_8_and_10/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Buffered_AMI/run_test.pl
++++ ace-5.4.1/TAO/examples/Buffered_AMI/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Buffered_Oneways/run_test.pl
++++ ace-5.4.1/TAO/examples/Buffered_Oneways/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Callback_Quoter/run_test.pl
++++ ace-5.4.1/TAO/examples/Callback_Quoter/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Load_Balancing/run_test.pl
++++ ace-5.4.1/TAO/examples/Load_Balancing/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Logging/run_test.pl
++++ ace-5.4.1/TAO/examples/Logging/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/OBV/Typed_Events/run_test.pl
++++ ace-5.4.1/TAO/examples/OBV/Typed_Events/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/DSI/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/DSI/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/TIE/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/TIE/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/Adapter_Activator/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/Adapter_Activator/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/Default_Servant/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/Default_Servant/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/Explicit_Activation/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/Explicit_Activation/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/FindPOA/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/FindPOA/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/Forwarding/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/Forwarding/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/Loader/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/Loader/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/NewPOA/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/NewPOA/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/On_Demand_Activation/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/On_Demand_Activation/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/On_Demand_Loading/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/On_Demand_Loading/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/POA_BiDir/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/POA_BiDir/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/Reference_Counted_Servant/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/Reference_Counted_Servant/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/POA/RootPOA/run_test.pl
++++ ace-5.4.1/TAO/examples/POA/RootPOA/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Persistent_Grid/run_test.pl
++++ ace-5.4.1/TAO/examples/Persistent_Grid/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/PluggableUDP/tests/Basic/run_test.pl
++++ ace-5.4.1/TAO/examples/PluggableUDP/tests/Basic/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/PluggableUDP/tests/Performance/run_test.pl
++++ ace-5.4.1/TAO/examples/PluggableUDP/tests/Performance/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/PluggableUDP/tests/SimplePerformance/run_test.pl
++++ ace-5.4.1/TAO/examples/PluggableUDP/tests/SimplePerformance/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Quoter/run_test.pl
++++ ace-5.4.1/TAO/examples/Quoter/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/RTCORBA/Activity/run_test.pl
++++ ace-5.4.1/TAO/examples/RTCORBA/Activity/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/RTScheduling/MIF_Scheduler/run_test.pl
++++ ace-5.4.1/TAO/examples/RTScheduling/MIF_Scheduler/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++#
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/RTScheduling/Fixed_Priority_Scheduler/run_test.pl
++++ ace-5.4.1/TAO/examples/RTScheduling/Fixed_Priority_Scheduler/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++#
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Simple/bank/run_test.pl
++++ ace-5.4.1/TAO/examples/Simple/bank/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Simple/echo/run_test.pl
++++ ace-5.4.1/TAO/examples/Simple/echo/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Simple/grid/run_test.pl
++++ ace-5.4.1/TAO/examples/Simple/grid/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Simple/time/run_test.pl
++++ ace-5.4.1/TAO/examples/Simple/time/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Simple/time-date/run_test.pl
++++ ace-5.4.1/TAO/examples/Simple/time-date/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/Simulator/DOVEBrowser/ecdata_patch.pl
++++ ace-5.4.1/TAO/examples/Simulator/DOVEBrowser/ecdata_patch.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -pi -S $0 ${1+"$@"}'
+     & eval 'exec perl -pi -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/TypeCode_Creation/run_test.pl
++++ ace-5.4.1/TAO/examples/TypeCode_Creation/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/examples/ior_corbaloc/run_test.pl
++++ ace-5.4.1/TAO/examples/ior_corbaloc/run_test.pl
+@@ -1,5 +1,7 @@
+-     eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
++#!/usr/bin/perl
++
++eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+   &  eval 'exec perl -S $0 $argv:q'
+   if 0;
+ 
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/run_test.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/run_test2.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/run_test2.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/CosEC/Simple/run_test.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/CosEC/Simple/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/LoadBalancing/run_test.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/LoadBalancing/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++#
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/Notify/Filter/run_test.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/Notify/Filter/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++#
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/Notify/Lanes/run_test.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/Notify/Lanes/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++#
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/Notify/Subscribe/run_test.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/Notify/Subscribe/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++#
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/Notify/ThreadPool/run_test.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/Notify/ThreadPool/run_test.pl
+@@ -1,3 +1,4 @@
++#!/usr/bin/perl
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/RtEC/IIOPGateway/consumerec_crash.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/RtEC/IIOPGateway/consumerec_crash.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++#
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/RtEC/IIOPGateway/run_test.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/RtEC/IIOPGateway/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++#
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/RtEC/Simple/run_test.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/RtEC/Simple/run_test.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/orbsvcs/examples/Security/Send_File/run_test.pl
++++ ace-5.4.1/TAO/orbsvcs/examples/Security/Send_File/run_test.pl
+@@ -1,4 +1,6 @@
++#!/usr/bin/perl
++
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/CIAO/examples/Hello/descriptors/run_test_default.pl
++++ ace-5.4.1/TAO/CIAO/examples/Hello/descriptors/run_test_default.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++#
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'
+     if 0;
+--- ace-5.4.1.orig/TAO/CIAO/examples/Hello/descriptors/run_test_remote.pl
++++ ace-5.4.1/TAO/CIAO/examples/Hello/descriptors/run_test_remote.pl
+@@ -1,3 +1,5 @@
++#!/usr/bin/perl
++#
+ #run_test_remote.pl,v 1.1 2003/12/03 00:46:12 lut Exp
+ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+     & eval 'exec perl -S $0 $argv:q'

Added: trunk/debian/patches/03_enable_aceiostream.dpatch
==============================================================================
--- (empty file)
+++ trunk/debian/patches/03_enable_aceiostream.dpatch	Mon May 31 21:28:41 2004
@@ -0,0 +1,65 @@
+#! /bin/sh -e
+## 01_debian-patch.dpatch by Brian Nelson <pyro@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: New patch generated from ace 5.4.1-1 diff.gz
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+--- ace-5.4.1.orig/ace/IOStream.h
++++ ace-5.4.1/ace/IOStream.h
+@@ -31,7 +31,7 @@
+ // by its config.h file.
+ // This restriction is recorded in Bugzilla entry 857.
+ #if defined (ACE_HAS_STANDARD_CPP_LIBRARY) && (ACE_HAS_STANDARD_CPP_LIBRARY == 1)
+-#  if !defined (ACE_USES_OLD_IOSTREAMS) && !defined (ACE_LACKS_ACE_IOSTREAM)
++#  if !defined (ACE_USES_OLD_IOSTREAMS) && !defined(ACE_USES_NEW_IOSTREAMS) && !defined (ACE_LACKS_ACE_IOSTREAM)
+ #    define ACE_LACKS_ACE_IOSTREAM
+ #  endif /* !ACE_USES_OLD_IOSTREAMS && !ACE_LACKS_ACE_IOSTREAM */
+ #endif /* ACE_HAS_STANDARD_CPP_LIBRARY */
+@@ -477,10 +477,10 @@
+         inline virtual MT& operator<<(__omanip_ func) CODE2 \
+         inline virtual MT& operator<<(__manip_ func)  CODE2
+ 
+-#  if defined (ACE_LACKS_SIGNED_CHAR)
+-  #define GET_FUNC_SET1(MT,CODE,CODE2) GET_FUNC_SET0(MT,CODE,CODE2)
+-  #define PUT_FUNC_SET1(MT,CODE,CODE2) PUT_FUNC_SET0(MT,CODE,CODE2)
++#  if defined (ACE_LACKS_SIGNED_CHAR) || defined(ACE_LACKS_CHAR_RIGHT_SHIFTS)
++#    define GET_FUNC_SET1(MT,CODE,CODE2) GET_FUNC_SET0(MT,CODE,CODE2)
++#    define PUT_FUNC_SET1(MT,CODE,CODE2) PUT_FUNC_SET0(MT,CODE,CODE2)
+ #  else
+ #    if defined (ACE_LACKS_CHAR_STAR_RIGHT_SHIFTS)
+   #define GET_FUNC_SET1(MT,CODE,CODE2) \
+--- ace-5.4.1.orig/ace/config-g++-common.h
++++ ace-5.4.1/ace/config-g++-common.h
+@@ -59,6 +59,15 @@
+ # undef  ACE_USES_OLD_IOSTREAMS
+ #endif /* __GNUC__ >= 2.97 */
+ 
++#if __GNUC__ > 3 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2 )
++# define ACE_LACKS_UNBUFFERED_STREAMBUF
++# define ACE_LACKS_LINEBUFFERED_STREAMBUF
++# define ACE_LACKS_IOSTREAM_FX
++# define ACE_LACKS_CHAR_RIGHT_SHIFTS
++# define ACE_USES_NEW_IOSTREAMS
++#endif
++
+   // __EXCEPTIONS is defined with -fexceptions, the egcs default.  It
+   // is not defined with -fno-exceptions, the ACE default for g++.
+   // ACE_HAS_EXCEPTIONS is defined in

Modified: trunk/debian/rules
==============================================================================
--- trunk/debian/rules	(original)
+++ trunk/debian/rules	Mon May 31 21:28:41 2004
@@ -18,7 +18,10 @@
 # user's applications are developed with ACE & Co.
 MAKEENV := CPPFLAGS="-DACE_NDEBUG -DACE_USE_RCSID"
 
-Include /usr/share/dpatch/dpatch.make
+# dpatch stuff
+PACKAGE := ace
+include /usr/share/dpatch/dpatch.make
+
 
 build: build-stamp
 build-stamp:
@@ -44,7 +47,7 @@
 
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	rm -f build-stamp install-stamp